WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: mkvtoolnix needs libebml.so.0 libmatroska.so.0  (Read 1945 times)

Offline hiro

  • Hero Member
  • *****
  • Posts: 829
mkvtoolnix needs libebml.so.0 libmatroska.so.0
« on: June 11, 2012, 07:23:16 AM »
the versions which get provided by the respective dependencies are newer versions of libebml.so.0 libmatroska.so.0

they have a .3 at the end now.

Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 7804
Re: mkvtoolnix needs libebml.so.0 libmatroska.so.0
« Reply #1 on: June 11, 2012, 09:21:55 AM »
I'm afraid I consider 3.x deprecated by now. The issue also seems to affect 4.x, but an extension built there would likely not work on 3.x.

IOW, you're welcome to update mkvtoolnix for 3.x, given that you care about 3.x more than I do :)

I'll get an update for 4.x out soon.
The only barriers that can stop you are the ones you create yourself.

Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 7804
Re: mkvtoolnix needs libebml.so.0 libmatroska.so.0
« Reply #2 on: June 11, 2012, 09:49:11 AM »
Uh, scratch that. The latest mkvtoolnix needs Ruby and a newer Boost, among other things.
The only barriers that can stop you are the ones you create yourself.

Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 7804
Re: mkvtoolnix needs libebml.so.0 libmatroska.so.0
« Reply #3 on: June 11, 2012, 10:05:02 AM »
Post #3 in row, heh.

With the latest being such a PITA to build, it turned out to be easier to restore the -0 versions, named separately, and adjust the mkvtoolnix dep file.

This was done for both 3.x and 4.x, both should work now.
The only barriers that can stop you are the ones you create yourself.

Offline hiro

  • Hero Member
  • *****
  • Posts: 829
Re: mkvtoolnix needs libebml.so.0 libmatroska.so.0
« Reply #4 on: June 11, 2012, 12:22:07 PM »
cool, I just tried updating from distro.ibiblio.org, but I still see the .3 versions only.
I was about to suggest just going back (sadly this fixes more stuff than when going forward). But I wasn't sure about the other possibilities either.

Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 7804
Re: mkvtoolnix needs libebml.so.0 libmatroska.so.0
« Reply #5 on: June 12, 2012, 01:52:39 AM »
I didn't overwrite the libmatroska.tcz libebml.tcz extensions, I uploaded the old ones as libmatroska-0.tcz libebml-0.tcz and edited the mkvtoolnix dep file to match.

Try updating dep files and then check for missing dependencies.
The only barriers that can stop you are the ones you create yourself.